"$schema" = "https://raw.githubusercontent.com/JanDeDobbeleer/oh-my-posh/main/themes/schema.json"
pwd = "osc7"
version = 3

[palette]
gb_bright_path = "#89b4fa"
gb_bright_git = "#f9e2af"
gb_dark0_hard = "#1d2021"
gb_faded_green = "#79740e"
gb_faded_red = "#9d0006"
gb_text = "#ebdbb2"

[var]
user = ""
ssh = "🌐"

# LEFT SIDE PROMPT
[[blocks]]
type = "prompt"
alignment = "left"

# [[blocks.segments]]
# template = "{{ if .Root }}# {{ else }}{{ end }}{{ .UserName }}{{ if .SSHSession }} {{.Var.ssh}}{{ end }} "
# foreground = "p:gb_text"
# background = "transparent"
# type = "session"
# style = "plain"

# [blocks.segments.properties]
# cache_duration = "none"

[[blocks.segments]]
template = "{{ .Path }} "
foreground = "p:gb_bright_path"
background = "transparent"
type = "path"
style = "plain"

[blocks.segments.properties]
style = "full"
enable_hyperlink = true

[[blocks.segments]]
template = "{{ .HEAD }}{{ if .Working.Changed }} {{ .Working.String }}{{ end }}{{ if .Staging.Changed }} {{ .Staging.String }}{{ end }} "
foreground = "p:gb_bright_git"
background = "transparent"
type = "git"
style = "plain"

[blocks.segments.properties]
fetch_status = true

[blocks.segments.properties.status_formats]
Added = "+%d"
Deleted = "-%d"
Modified = "~%d"
Untracked = "?%d"

# RIGHT SIDE PROMPT
[[blocks]]
type = "rprompt"
alignment = "right"

[[blocks.segments]]
template = "  {{ .Full }}"
foreground = "p:gb_faded_green"
background = "transparent"
type = "node"
style = "plain"

[blocks.segments.properties]
display_mode = "files"

[[blocks.segments]]
template = "  {{ if .Venv }}({{ .Venv }}) {{ end }}{{ .Full }}"
foreground = "p:gb_faded_green"
background = "transparent"
type = "python"
style = "plain"

[blocks.segments.properties]
display_mode = "always"
fetch_virtual_env = true

# NEWLINE FOR INPUT
[[blocks]]
type = "prompt"
alignment = "left"
newline = true

[[blocks.segments]]
template = "❯ "
foreground = "p:gb_bright_aqua"
background = "transparent"
type = "text"
style = "plain"
